* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}

@media (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }
  *,
  *::before,
  *::after {
    animation-duration: 0.001ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.001ms !important;
    scroll-behavior: auto !important;
  }
}

a:focus-visible,
button:focus-visible,
[role="button"]:focus-visible,
[role="switch"]:focus-visible,
input:focus-visible,
textarea:focus-visible,
summary:focus-visible {
  outline: 2px solid #5960e8;
  outline-offset: 3px;
}
a {
  text-decoration: none;
  color: unset;
  display: inline-block;
}
p {
  color: #ffffffaf;
}
body {
  font-family: Montserrat, sans-serif;
  background: #000;
}
main {
  padding: 0;
  margin: 0;
  width: 100%;
  height: 100%;
  position: relative;
}
.container {
  width: 90%;
  max-width: 1280px;
  margin: auto;
}
.flex {
  display: flex;
  align-items: center;
}
.f-clmn {
  flex-direction: column;
}
.sb {
  justify-content: space-between;
}
.jc {
  justify-content: center;
}
.ac {
  align-items: center;
}
li {
  list-style: none;
}
span {
  display: inline-block;
}

/*------
 BUTTONS
 ------*/

.blueBtn {
  box-shadow: inset 2px 2px 10px -4px #fff;
  background-color: #5960e8;
  color: #fff;
}
button {
  position: relative;
  overflow: hidden;
  cursor: pointer;
  padding: 12px 14px;
  border: unset;
  border-radius: 8px;
  font-size: clamp(14px, 15px, 16px);
  transition: 0.3s ease;
  display: inline-block;
  opacity: 1;
}
button .text,
button .hover-text {
  display: block;
  transition: transform 0.4s cubic-bezier(0.76, 0, 0.24, 1);
}
button .hover-text {
  position: absolute;
  left: 0;
  top: 100%;
  width: 100%;
}
button:hover .text {
  transform: translateY(-170%);
}
button:hover .hover-text {
  transform: translateY(-170%);
}
button:hover {
  box-shadow: 0px 0px 50px -10px #fff;
  transform: scale(1.05);
}
button:active {
  transform: scale(0.9);
}

/*--------------
 FOR ALL SECTION 
 -------------*/

section {
  height: 100vh;
  user-select: none;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  overflow-y: hidden;
}
.allh2 {
  font-size: clamp(14px, 14px, 16px);
  font-weight: 500;
  margin-bottom: 35px;
  padding: 8px 12px;
  border: 1px solid #ffffff46;
  border-radius: 8px;
  width: fit-content;
}
.allh1 {
  font-size: clamp(24px, 5vw, 50px);
  line-height: clamp(2rem, 8vw, 5vw);
  font-weight: 600;
  text-align: center;
  margin-bottom: 30px;
}
.allp {
  margin-bottom: 50px;
  font-size: clamp(16px, 16px, 16px);
  line-height: clamp(1.6rem, 1.6rem, 1.6rem);
  color: #ffffffaf;
  text-align: center;
}

/*-----
 Header 
 ----*/

header {
  background-color: #000000;
  width: 90%;
  margin: auto;
  position: absolute;
  top: 15px;
  left: 0;
  right: 0;
  color: #fff;
  height: 3.5rem;
  z-index: 999;
  user-select: none;
  border-radius: 8px;
  box-shadow:
    1px 1px 50px -20px #f780ff88,
    1px 1px 50px -20px rgba(218, 165, 32, 0.553);
}
.IconCol {
  display: none;
}
.logo {
  font-size: clamp(20px, 3vw, 20px);
  font-weight: 600;
}
.nav {
  gap: 15px;
}
.nav li {
  font-size: 14px;
  transition: 0.3s ease;
  color: #fff;
  border-radius: 8px;
  cursor: pointer;
}
.nav li a{
  padding: 10px 15px;
}
.nav li:hover {
  color: #ffffff;
  background-color: #5960e8;
  box-shadow:
    0px 0px 50px -10px #fff,
    inset 2px 2px 10px -4px #fff;
}
.nav li:active {
  transform: scale(0.9);
}
.ri-menu-4-line,
.ri-close-large-fill {
  display: none;
}
.ri-menu-4-line,
.ri-close-large-fill {
  font-size: 22px;
  color: #fff;
  margin-right: 10px;
}
.navRow {
  display: none;
  line-height: clamp(3rem, 5vw, 5rem);
  margin-top: 1rem;
  text-align: center;
  border-top: 0.1px solid #ffffffaf;
  padding: 20px 0px;
}
header.add {
  padding: 15px 0px;
  height: fit-content;
}
header.add .navRow {
  display: flex !important;
}
.navCol h2 {
  font-size: clamp(20px, 3vw, 30px);
  font-weight: 400;
}

/*----------------
 SECTION - 1 ABOUT 
 ---------------*/

.aboutSec {
  text-align: center;
  position: relative;
  overflow: hidden;
  background: #000000;
}
.about-content {
  position: relative;
  gap: 20px;
}
.about-content h1 {
  font-size: clamp(35px, 5vw, 70px);
  line-height: clamp(2.6rem, 8vw, 7vw);
  font-weight: 600;
}
.about-content h2 {
  margin: 0;
}

/*------------------
 SECTION - 2 BRANDS 
 -----------------*/

.brandsSec {
  padding: 50px 0px;
  text-align: center;
  height: fit-content;
  display: block;
}
.brandsSec h2 {
  font-size: clamp(16px, 16px, 16px);
  font-weight: 500;
  margin-bottom: 35px;
}
.outter {
  position: relative;
  overflow: hidden;
  width: 80vw;
  margin: auto;
  padding: 0px 30px;
}
.track {
  display: flex;
  gap: 40px;
  width: max-content;
  position: relative;
}
.inner {
  flex-shrink: 0;
}
.inner i {
  margin-right: 5px;
  font-size: 20px;
}
.inner h3 {
  font-size: clamp(25px, 5vw, 40px);
}
.inner h3:nth-child(2),
.inner h3:nth-child(4),
.inner h3:nth-child(6),
.inner h3:nth-child(8) {
  font-weight: 400;
}
.left-layer {
  position: absolute;
  height: 200%;
  width: 7%;
  left: -10px;
  top: 0;
  background: #000;
  box-shadow: 15px 0px 20px #000000;
}
.right-layer {
  position: absolute;
  height: 200%;
  width: 7%;
  right: -10px;
  top: 0;
  background: #000;
  box-shadow: -15px 0px 20px #000000;
}

/*-------------------
 SECTION - 3 WHY US ? 
 ------------------*/

.whyUsSec {
  display: block;
  padding: 50px 0px;
  height: fit-content;
}
.firstrow {
  margin: auto;
  width: 80%;
}
.box {
  width: 32%;
  gap: 17px;
  border: 1px solid #ffffff28;
  border-radius: 8px;
  padding: 15px 20px;
  background: linear-gradient(135deg, black, #c300ff1e 40% 50%, #000);
  align-items: baseline;
  text-align: left;
}
.box i {
  font-size: 25px;
}
.box h3 {
  font-weight: 600;
  font-size: 20px;
}
.box p {
  color: #d1d1d1;
  line-height: 1.5rem;
  font-size: 15px;
}

/*----------------
 SECTION - 4 VALUE 
 ---------------*/

.valueSec {
  display: block;
  padding: 50px 0px;
  height: fit-content;
}
.value-firstrow,
.value-secondrow {
  gap: 30px;
  margin: auto;
  width: 80%;
}
.value-firstrow {
  margin-bottom: 30px;
}
.value-box {
  width: 100%;
  gap: 17px;
  border: 1px solid #ffffff28;
  border-radius: 8px;
  padding: 15px 20px;
  background: linear-gradient(135deg, black, #ffffff11 40% 50%, #000);
  align-items: baseline;
  text-align: left;
}
.value-box i {
  font-size: 25px;
  margin-right: 5px;
}
.value-box h3 {
  font-weight: 600;
  font-size: 20px;
}
.value-box p {
  color: #d1d1d1;
  line-height: 1.5rem;
  font-size: 15px;
}

/*--------------------
 SECTION - 5 DIFFRENCE 
 -------------------*/

.diffrenceSec {
  display: block;
  padding: 50px 0px;
  height: fit-content;
}
.range {
  align-items: baseline;
  width: 75%;
  margin: auto;
}
.landing,
.elite {
  text-align: start;
  align-items: baseline;
  height: fit-content;
  padding: 20px 15px;
  border: 1px solid #ffffff48;
  border-radius: 8px;
  width: 48%;
  gap: 10px;
}
.heading {
  font-size: 25px;
  color: #cbcbcb;
  font-weight: 600;
}
.landing h4,
.elite h4 {
  font-size: 16px;
  font-weight: 500;
  line-height: 1.7rem;
}
.elite {
  background: radial-gradient(
    circle at 50% -50%,
    #f308ff80 0%,
    transparent 60%
  );
}
.ri-check-fill,
.ri-close-line {
  font-size: 20px;
  font-weight: 100;
  margin-right: 5px;
}

/*-------------------
 SECTION - 6 OUR TEAM 
 ------------------*/

.ourTeamSec {
  display: block;
  padding: 50px 0px;
  height: fit-content;
}
.ourTeamSec .firstrow {
  margin: auto;
  width: 100%;
}
.ourTeam-box {
  width: 32%;
  gap: 17px;
  border: 1px solid #ffffff28;
  border-radius: 8px;
  padding: 15px 20px;
  background: linear-gradient(135deg, black, #c300ff1e 40% 50%, #000);
  align-items: baseline;
  text-align: left;
}
.ourTeam-box img{
  width: 100%;
  height: 300px;
  object-fit: cover;
  object-position: top;
  margin-bottom: 20px;
}
.ourTeam-box h3 {
  font-weight: 600;
  font-size: 20px;
}
.ourTeam-box p {
  color: #d1d1d1;
  line-height: 1.5rem;
  font-size: 15px;
}

/*---------------
 SECTION - 7 FAQs 
 --------------*/

.faqSec {
  height: fit-content;
  display: block;
  padding: 50px 0px;
  background: linear-gradient(180deg, #000000, #00fffb0a 40% 60%, #000000);
}
details summary {
  list-style: none;
}
details summary::-webkit-details-marker {
  display: none;
}
.all-ques {
  border: 1px solid #ffffff20;
  width: 60vw;
  margin: auto;
  padding: 20px 15px;
  border-radius: 8px;
  background: linear-gradient(135deg, #000, #4848480c 25% 35%, #000);
  margin-bottom: 30px;
}
.que h3 {
  font-weight: 500;
  font-size: 18px;
}
.ans p {
  font-size: 16px;
  line-height: 1.6rem;
  color: #d1d1d1;
}
summary {
  cursor: pointer;
}
.ans {
  margin-top: 20px;
  padding: 20px 0px;
  border-top: 1px solid #ffffff47;
}
details i {
  transition: 0.3s ease;
  font-size: 20px;
}
details[open] i {
  transform: rotate(180deg);
}

/*--------------------
 SECTION - 8 PROMOTION 
 -------------------*/

.promoSec {
  height: fit-content;
  padding: 50px 0px;
  text-align: center;
  display: block;
}
.promotion {
  padding: 70px 50px;
  border-radius: 8px;
  width: fit-content;
  margin: auto;
  background: linear-gradient(130deg, #9976ff, #ffffff14 20% 80%, #9976ff);
}
.promotion .allh1 {
  font-size: clamp(30px, 5vw, 50px);
  line-height: clamp(2rem, 8vw, 5vw);
}
.promotion button {
  margin-top: 30px;
}


/*-----
 FOOTER
 -----*/

footer {
  padding-top: 50px;
  user-select: none;
}
.footer-main {
  padding: 40px 0px;
}
.imgcol {
  align-items: baseline;
  gap: 30px;
  width: 50%;
}
.imgcol img {
  width: 50px;
  height: 50px;
  object-fit: cover;
  margin-right: 10px;
  border-radius: 8px;
}
.imgcol .logo {
  color: #fff;
  font-size: clamp(20px, 3vh, 30px);
}
.inputCol {
  align-items: end;
  gap: 30px;
  width: 50%;
}
.inputCol label {
  font-size: 30px;
  font-weight: 600;
  color: #fff;
}
.inputCol input {
  width: 40vw;
  height: 3rem;
  background-color: #343434;
  color: #fff;
  border: unset;
  border-radius: 8px;
  padding: 0px 100px 0px 15px;
}
.inputCol input::placeholder {
  color: #fff;
  font-family: Montserrat;
}
.innerInput {
  position: relative;
}
.innerInput button {
  position: absolute;
  top: 8%;
  right: 3px;
  font-size: 14px;
  background-color: #5960e8;
  color: #ffffff;
  font-weight: 400;
  box-shadow: inset 2px 2px 10px -4px #fff;
}
.signrow {
  margin-top: 20px;
  padding: 15px 0px;
  border-top: 1px solid #ffffff38;
}
.Reservecol p {
  font-size: 14px;
}
.linkscol {
  gap: 20px;
  width: 100%;
  align-items: center;
  justify-content: right;
}
.main-links {
  width: 100%;
  justify-content: right;
  gap: 30px;
}
.main-links h2 {
  color: #fff;
  width: 100%;
  text-align: right;
}
.linkscol i {
  font-size: 25px;
  color: #fff;
}
.signatureCol a {
  color: #cacdff;
  text-decoration: underline;
  font-weight: 500;
}

@media (max-width: 768px) {
  /*------
  Header 
  ------*/
  .IconCol {
    display: block;
  }
  .ri-menu-4-line {
    display: block;
  }
  .nav {
    display: none;
  }
  .login {
    display: none;
  }
  .navRow {
    display: none;
  }
  .cursor {
    display: none;
  }
  
  .allp {
    margin-bottom: 70px;
    font-size: clamp(16px, 16px, 16px);
    line-height: clamp(1.6rem, 1.6rem, 1.6rem);
    color: #ffffffaf;
    text-align: center;
  }
  .allh2 {
    font-size: clamp(14px, 14px, 16px);
    font-weight: 500;
    margin-bottom: 25px;
    padding: 8px 12px;
    border: 1px solid #ffffff46;
    border-radius: 8px;
    width: fit-content;
  }


  /*----------------
 SECTION - 2 BRANDS 
 -----------------*/

  .left-layer,
  .right-layer {
    display: none;
  }

  /*------------------
  SECTION - 3 WHY US ? 
  ------------------*/

  .firstrow {
    width: 90%;
    flex-direction: column;
    gap: 30px;
  }
  .box {
    width: 100%;
  }

  /*---------------
  SECTION - 4 VALUE
  ---------------*/

  .value-firstrow,
  .value-secondrow {
    width: 100%;
    flex-direction: column;
    gap: 30px;
  }
  .value-box {
    width: 100%;
  }

  /*-------------------
  SECTION - 5 DIFFRENCE 
  -------------------*/

  .range {
    flex-direction: column;
    gap: 30px;
    width: 100%;
  }
  .landing,
  .elite,
  .custom {
    width: 100%;
  }
  .description {
    font-size: 18px;
    color: #ffffff;
    line-height: 1.6rem;
  }
  .landing h4,
  .custom h4,
  .elite h4 {
    font-size: 18px;
  }

  /*------------------
  SECTION - 6 WHY US ? 
  ------------------*/

  .ourTeam-firstrow {
    width: 100%;
    flex-direction: column;
    gap: 30px;
  }
  .ourTeam-box {
    width: 100%;
  }

  /*---------------
  SECTION - 7 FAQs 
  --------------*/

  .all-ques {
    width: unset;
    margin-bottom: 20px;
  }
  .ans p {
    font-size: 16px;
    line-height: 1.7rem;
  }

  /*-----
  FOOTER
  ------*/

  .footer-main {
    flex-direction: column;
    gap: 30px;
    padding: 30px 0px;
  }
  .imgcol {
    align-items: baseline;
    gap: 20px;
    width: 100%;
  }
  .main-links {
    width: 100%;
    justify-content: left;
    gap: 20px;
  }
  .main-links h2 {
    color: #fff;
    width: 100%;
    text-align: left;
  }
  .linkscol {
    gap: 20px;
    width: 100%;
    align-items: center;
    justify-content: left;
  }
  .footer-main {
    padding: 20px 0px;
  }
}


@media (min-width: 767px) and (max-width: 1024px) {
  /*------
    Header 
    ------*/
  .IconCol {
    display: block;
  }
  .ri-menu-4-line {
    display: block;
  }
  .nav {
    display: none;
  }
  .login {
    display: none;
  }
  .navRow {
    display: none;
  }
  .cursor {
    display: none;
  }

  /*-----------------
  SECTION - 2 BRANDS 
  ----------------*/

  .left-layer,
  .right-layer {
    display: none;
  }

  /*------------------
  SECTION - 3 WHY US ? 
  ------------------*/

  .firstrow {
    flex-direction: column;
    gap: 19px;
  }
  .box {
    width: 70%;
  }

  /*---------------
  SECTION - 4 VALUE
  ---------------*/

  .value-firstrow,
  .value-secondrow {
    flex-direction: column;
    gap: 19px;
  }
  .value-box {
    width: 70%;
  }

  /*-------------------
  SECTION - 5 DIFFRENCE 
  -------------------*/

  .range {
    flex-direction: column;
    gap: 30px;
  }
  .landing,
  .elite,
  .custom {
    width: 70%;
    margin: auto;
  }

  /*------------------
  SECTION - 6 OUR TEAM 
  ------------------*/

  .ourTeam-firstrow {
    flex-direction: column;
    gap: 30px;
  }
  .ourTeam-box {
    width: 60%;
  }
  
  .ourTeam-box img{
   height: 400px;
   object-position: top;
  }

  /*---------------
  SECTION - 7 FAQs 
  --------------*/

  .all-ques {
    width: 70vw;
  }

  /*-----
  FOOTER
  ------*/

  .inputCol label {
    font-size: 25px;
    font-weight: 600;
    color: #fff;
  }
  .footer-main {
    padding: 20px 0px;
  }
}
